Project

General

Profile

Backport #5191

Segmentation fault ruby 1.8.7 (2011-06-30 patchlevel 352) [i386-linux]

Added by elchuo160 (jesus silva) almost 8 years ago. Updated 5 days ago.

Status:
Closed
Priority:
Normal
Assignee:
-
[ruby-core:38949]

Description

Estoy intentando correr un archivo ".rb" y me sale el siguiente error.


[XXXXXX@localhost caos]$ ruby caos.rb
/usr/lib/ruby/site_ruby/1.8/i386-linux/gtkmozembed.so: [BUG] Segmentation fault
ruby 1.8.7 (2011-06-30 patchlevel 352) [i386-linux]

Abortado (`core' generado)

utilizo el sistema operativo fedora 15 gnome-shell 3 y estoy haciendo el tutorial de rubyzilla
que esta en el sitio web http://ruby-gnome2.sourceforge.jp/hiki.cgi?RubyZilla cuando llego al paso
de ejecutar el archivo "$ ruby caos.rb" me sale el error antes mencionado.

History

Updated by rosenfeld (Rodrigo Rosenfeld Rosas) almost 8 years ago

Hi Jesus, although I can understand Spanish, I don't think you'll get much helper here if you don't write your issues in English or Japanese...

Anyway, your problem seems to be related to GtkMozEmbed, so you should file an issue there rather than here:

http://www-archive.mozilla.org/unix/gtk-embedding.html

But I would start reporting it in Ruby-Gnome2. If they think it's a problem with GtkMozEmbed, they'll redirect you to there. If GtkMozEmbed thinks it's a problem with Ruby itself, they'll fill an issue here, but I guess chances of this happening are minimal.

Good journey on learning Ruby. Enjoy it! :)

#2

Updated by jeremyevans0 (Jeremy Evans) 5 days ago

  • ruby -v deleted (ruby 1.8.7 (2011-06-30 patchlevel 352) [i386-linux])
  • Status changed from Open to Closed
  • Project changed from Ruby 1.8 to Backport187
  • Tracker changed from Bug to Backport

Also available in: Atom PDF